### Function

# Gsk RenderReplayTextureFilter

since: 4.22

#### Declaration

    GdkTexture*
    (* GskRenderReplayTextureFilter) (
      GskRenderReplay* replay,
      GdkTexture* texture,
      gpointer user_data
    )

#### Description [src]

A function that filters textures.

The function will be called by the default replay function for all nodes with textures. They will then generate a node using the returned texture.

It is valid for the function to return the passed in texture if the texture shuld not be modified.

Available since: 4.22

#### Parameters

`replay`

  Type: `GskRenderReplay`

  The replay object used to replay the node.

  The data is owned by the caller of the function.

`texture`

  Type: `GdkTexture`

  The texture to filter.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GdkTexture`

The filtered texture.

The caller of the function takes ownership of the data, and is responsible for freeing it.